List alert rules in a project.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/rules \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/rules"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
},
"rules": [
{
"created_at": "2023-11-07T05:31:56Z",
"destination_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true,
"event_types": [],
"group_wait_seconds": 1800,
"name": "<string>",
"notify_resolved": true,
"revision": 2,
"schedule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignee_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"certificate_rule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"count_threshold": 1,
"escalation_after_seconds": 302550,
"finding_filter": {
"confidences": [],
"exposure_kinds": [
"<string>"
],
"q": "<string>",
"severities": [],
"statuses": []
},
"repeat_interval_seconds": 302550
}
]
}Alert rules
List alert rules in a project.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
alerting
/
rules
List alert rules in a project.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/rules \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/rules"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
},
"rules": [
{
"created_at": "2023-11-07T05:31:56Z",
"destination_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true,
"event_types": [],
"group_wait_seconds": 1800,
"name": "<string>",
"notify_resolved": true,
"revision": 2,
"schedule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignee_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"certificate_rule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"count_threshold": 1,
"escalation_after_seconds": 302550,
"finding_filter": {
"confidences": [],
"exposure_kinds": [
"<string>"
],
"q": "<string>",
"severities": [],
"statuses": []
},
"repeat_interval_seconds": 302550
}
]
}Authorizations
Infrawatch API key. Supply the complete key directly as the header value.
Path Parameters
Query Parameters
Required range:
1 <= x <= 500Required range:
x >= 0⌘I